# cNMPLookahead Class Reference
[Parallel simulation support]

Base class of lookahead calculations for cNullMessageProtocol which implements the "null message algorithm". More...

`#include <cnmplookahead.h>`

Inheritance diagram for cNMPLookahead:

List of all members.

## Public Member Functions

| cNMPLookahead ()
virtual | ~cNMPLookahead ()
void | setContext (cSimulation *simul, cParsimPartition *seg, cParsimCommunications *co)
virtual void | startRun ()=0
virtual void | endRun ()=0
virtual double | getCurrentLookahead (cMessage *msg, int procId, void *data)=0
virtual double | getCurrentLookahead (int procId)=0

## Detailed Description

Base class of lookahead calculations for cNullMessageProtocol which implements the "null message algorithm".

## Constructor & Destructor Documentation

cNMPLookahead::cNMPLookahead | ( |  | ) | `[inline]`

| Constructor.

virtual cNMPLookahead::~cNMPLookahead | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual void cNMPLookahead::endRun | ( |  | ) | `[pure virtual]`

| Hook called at end of simulation run. Implemented in cAdvancedLinkDelayLookahead, and cLinkDelayLookahead.

virtual double cNMPLookahead::getCurrentLookahead | ( | int | procId | ) | `[pure virtual]`

| Returns current lookahead. Implemented in cAdvancedLinkDelayLookahead, and cLinkDelayLookahead.

virtual double cNMPLookahead::getCurrentLookahead | ( | cMessage * | msg,
|  | int | procId,
|  | void * | data
| ) | `[pure virtual]`

| Performs lookahead calculation when a message gets sent out from the partition. Implemented in cAdvancedLinkDelayLookahead, and cLinkDelayLookahead.

void cNMPLookahead::setContext | ( | cSimulation * | simul,
|  | cParsimPartition * | seg,
|  | cParsimCommunications * | co
| ) | `[inline]`

| Pass objects it has to cooperate with.

virtual void cNMPLookahead::startRun | ( |  | ) | `[pure virtual]`

| Hook called at start of simulation run. Implemented in cAdvancedLinkDelayLookahead, and cLinkDelayLookahead.

The documentation for this class was generated from the following file:

- cnmplookahead.h